/*
 *
 * The Seasar Software License, Version 1.1
 *
 * Copyright (c) 2003-2004 The Seasar Project. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or
 * without modification, are permitted provided that the following
 * conditions are met:
 *
 * 1. Redistributions of source code must retain the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgement:
 *    "This product includes software developed by the
 *    Seasar Project (http://www.seasar.org/)."
 *    Alternately, this acknowledgement may appear in the software
 *    itself, if and wherever such third-party acknowledgements
 *    normally appear.
 *
 * 4. Neither the name "The Seasar Project" nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission of
 *    the Seasar Project.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE SEASAR PROJECT
 * OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL,SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package org.seasar.axis.examples.ex03;

import org.seasar.extension.unit.S2TestCase;

/**
 * @author koichik
 */
public class BookshelfTest extends S2TestCase {
    public BookshelfTest(String name) {
        super(name);
    }

    public void setUp() {
        include("BookshelfTest.dicon");
    }

    public void test() throws Exception {
        Bookshelf bookshelf = (Bookshelf) getComponent(Bookshelf.class);

        assertEquals(0, bookshelf.getBooks().length);

        bookshelf.addBook(new Book("Building Web Services with Java", "Steve Graham, et al.",
                "ISBN0-672-32641-8"));
        bookshelf.addBook(new Book("Designing Web Services with the J2EE 1.4 Platform",
                "Inderjeet Singh, et al.", "ISBN0-321-20521-9"));

        Book book = bookshelf.getBook("ISBN0-672-32641-8");
        assertEquals("Building Web Services with Java", book.getTitle());
        assertEquals("Steve Graham, et al.", book.getAuthor());
        assertEquals("ISBN0-672-32641-8", book.getIsbn());

        book = bookshelf.getBook("ISBN0-321-20521-9");
        assertEquals("Designing Web Services with the J2EE 1.4 Platform", book.getTitle());
        assertEquals("Inderjeet Singh, et al.", book.getAuthor());
        assertEquals("ISBN0-321-20521-9", book.getIsbn());
    }
}